source: general/genlib/libgpg-error.xml@ 48bcac9

10.0 10.1 11.0 9.0 9.1 ken/refactor-virt lazarus qt5new trunk upgradedb xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 48bcac9 was 48bcac9, checked in by Bruce Dubbs <bdubbs@…>, 2 years ago

Tag dependencies for kf5

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@21997 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 6.3 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libgpg-error-download-http "&gnupg-http;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
8 <!ENTITY libgpg-error-download-ftp "&gnupg-ftp;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
9 <!ENTITY libgpg-error-download-ftp " ">
10 <!ENTITY libgpg-error-md5sum "eff437f397e858a9127b76c0d87fa5ed">
11 <!ENTITY libgpg-error-size "900 KB">
12 <!ENTITY libgpg-error-buildsize "9.8 MB (with tests)">
13 <!ENTITY libgpg-error-time "0.1 SBU (with tests)">
14]>
15
16<sect1 id="libgpg-error" xreflabel="libgpg-error-&libgpg-error-version;">
17 <?dbhtml filename="libgpg-error.html"?>
18
19 <sect1info>
20 <othername>$LastChangedBy$</othername>
21 <date>$Date$</date>
22 </sect1info>
23
24 <title>libgpg-error-&libgpg-error-version;</title>
25
26 <indexterm zone="libgpg-error">
27 <primary sortas="a-libgpg-error">libgpg-error</primary>
28 </indexterm>
29
30 <sect2 role="package">
31 <title>Introduction to libgpg-error</title>
32
33 <para>
34 The <application>libgpg-error</application> package contains a
35 library that defines common error values for all
36 <application>GnuPG</application> components.
37 </para>
38
39 &lfs90_checked;
40
41 <bridgehead renderas="sect3">Package Information</bridgehead>
42 <itemizedlist spacing="compact">
43 <listitem>
44 <para>
45 Download (HTTP): <ulink url="&libgpg-error-download-http;"/>
46 </para>
47 </listitem>
48 <listitem>
49 <para>
50 Download (FTP): <ulink url="&libgpg-error-download-ftp;"/>
51 </para>
52 </listitem>
53 <listitem>
54 <para>
55 Download MD5 sum: &libgpg-error-md5sum;
56 </para>
57 </listitem>
58 <listitem>
59 <para>
60 Download size: &libgpg-error-size;
61 </para>
62 </listitem>
63 <listitem>
64 <para>
65 Estimated disk space required: &libgpg-error-buildsize;
66 </para>
67 </listitem>
68 <listitem>
69 <para>
70 Estimated build time: &libgpg-error-time;
71 </para>
72 </listitem>
73 </itemizedlist>
74
75 <para condition="html" role="usernotes">User Notes:
76 <ulink url="&blfs-wiki;/libgpg-error"/>
77 </para>
78 </sect2>
79
80 <sect2 role="installation">
81 <title>Installation of libgpg-error</title>
82
83<!-- fixed upstream, but needed for version 1.36 -->
84 <para>
85 First apply a sed to allow building with gawk-5.0:
86 </para>
87
88<screen><userinput>sed -i 's/namespace/pkg_&amp;/' src/Makefile.{am,in} src/mkstrtable.awk</userinput></screen>
89
90 <para>
91 Install <application>libgpg-error</application> by running the
92 following commands:
93 </para>
94
95<screen><userinput>./configure --prefix=/usr &amp;&amp;
96make</userinput></screen>
97
98 <para>
99 To test the results, issue: <command>make check</command>.
100 </para>
101
102 <para>
103 Now, as the <systemitem class="username">root</systemitem> user:
104 </para>
105
106<screen role="root"><userinput>make install &amp;&amp;
107install -v -m644 -D README /usr/share/doc/libgpg-error-&libgpg-error-version;/README</userinput></screen>
108
109 </sect2>
110
111 <sect2 role="content">
112 <title>Contents</title>
113
114 <segmentedlist>
115 <segtitle>Installed Programs</segtitle>
116 <segtitle>Installed Library</segtitle>
117 <segtitle>Installed Directories</segtitle>
118
119 <seglistitem>
120 <seg>
121 gpg-error, gpg-error-config, gpgrt-config, and yat2m
122 </seg>
123 <seg>
124 libgpg-error.so
125 </seg>
126 <seg>
127 /usr/share/common-lisp/source/gpg-error,
128 /usr/share/libgpg-error, and
129 /usr/share/doc/libgpg-error-&libgpg-error-version;
130 </seg>
131 </seglistitem>
132 </segmentedlist>
133
134 <variablelist>
135 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
136 <?dbfo list-presentation="list"?>
137 <?dbhtml list-presentation="table"?>
138
139 <varlistentry id="gpg-error">
140 <term><command>gpg-error</command></term>
141 <listitem>
142 <para>
143 is used to determine <application>libgpg-error</application>
144 error codes.
145 </para>
146 <indexterm zone="libgpg-error gpg-error">
147 <primary sortas="b-gpg-error">gpg-error</primary>
148 </indexterm>
149 </listitem>
150 </varlistentry>
151
152 <varlistentry id="gpg-error-config">
153 <term><command>gpg-error-config</command></term>
154 <listitem>
155 <para>
156 is a utility used to configure and build applications based on
157 the <application>libgpg-error</application> library. It can be used
158 to query the C compiler and linker flags which are required to
159 correctly compile and link the application against the
160 <application>libgpg-error</application> library.
161 </para>
162 <indexterm zone="libgpg-error gpg-error-config">
163 <primary sortas="b-gpg-error-config">gpg-error-config</primary>
164 </indexterm>
165 </listitem>
166 </varlistentry>
167
168 <varlistentry id="gpgrt-config">
169 <term><command>gpgrt-config</command></term>
170 <listitem>
171 <para>
172 is the same script as <command>gpg-error-config</command>.
173 </para>
174 <indexterm zone="libgpg-error gpgrt-config">
175 <primary sortas="b-gpgrt-config">gpgrt-config</primary>
176 </indexterm>
177 </listitem>
178 </varlistentry>
179
180 <varlistentry id="yat2m">
181 <term><command>yat2m</command></term>
182 <listitem>
183 <para>
184 extracts man pages from a Texinfo source.
185 </para>
186 <indexterm zone="libgpg-error yat2m">
187 <primary sortas="b-yat2m">yat2m</primary>
188 </indexterm>
189 </listitem>
190 </varlistentry>
191
192 <varlistentry id="libgpg-error-lib">
193 <term><filename class="libraryfile">libgpg-error.so</filename></term>
194 <listitem>
195 <para>
196 contains the <application>libgpg-error</application> API
197 functions.
198 </para>
199 <indexterm zone="libgpg-error libgpg-error-lib">
200 <primary sortas="c-libgpg-error">libgpg-error.so</primary>
201 </indexterm>
202 </listitem>
203 </varlistentry>
204
205 </variablelist>
206
207 </sect2>
208
209</sect1>
Note: See TracBrowser for help on using the repository browser.